<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Conditionals</TITLE>
<link href="builder_21.html" rel=Next>
<link href="builder_19.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_19.html">previous</A>, <A HREF="builder_21.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC48" HREF="builder_toc.html#TOC48">Conditionals</A></H2>
<P>
<A NAME="IDX125"></A>
<A NAME="IDX126"></A>
Conditional control flow can be generated using the builder's
<CODE>IF()</CODE> function.  The first argument to this function is the test
and the second argument is the body of code that should be executed when
the test is TRUE.  The optional third argument is the body of code that
should be executed when the test is FALSE.
The builder's <CODE>IF()</CODE> function gets translated to
a SUIF IF macro instruction. 

</P>
<P>
For example, the following C conditional:

<PRE>
        if(i&#60;0)
           i = -1*i;

can be created by the following builder structure:

        var_sym * iSym = the variable i 
        block i(iSym);
        block code(block::IF(block(i &#60; block(0)),
                             block(i = block(-1)*i)));
</PRE>

<P>
<A NAME="IDX127"></A>

</P>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_19.html">previous</A>, <A HREF="builder_21.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
